/// <reference types="react" />
import * as React from "react";
import { ExportOptions, OnExportOptions } from "./r-table";
export interface ExportProps {
    locale: any;
    btnText?: string;
    columns: any[];
    exportType: "by-one-click" | "by-config";
    exportOptions: ExportOptions;
    onExport(options?: OnExportOptions): void | boolean;
}
export interface ExportState {
    visible: boolean;
    formFields: {
        columnsType: "ALL" | "PARTIAL";
        checkedColumnKeys: string[];
        rangeType: "ALL" | "SELECTED" | "RESULT";
    };
}
export default class Export extends React.Component<ExportProps, ExportState> {
    state: ExportState;
    handleToggleVisible: () => void;
    handleExportSubmit: () => void;
    handleFormValuesChange: ([formItemId, formFieldValue]: [string, any]) => void;
    handleOneClickExport: () => void;
    render(): JSX.Element;
}
